All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.awt
Class WindowInitThread

    com.sas.awt.WindowInitThread

All Implemented Interfaces:
  java.lang.Runnable

    public class WindowInitThread

Provides a separate thread for initializing applets and frames. This allows other dialogs to be presented to the user during initialization such as the deferred ROCF connection properties.

Field Summary
`static java.lang.String` | `RB_KEY`

Constructor Summary
`WindowInitThread(WindowInitInterface window)` Construct a new WindowInitThread object.

Method Summary
`protected void` | `checkLocal()` Check to see if this class was loaded locally.
`protected void` | `postInit()` Search the Container for any components that implement the com.sas.PostInitInterface interface; if found, invoke the postInit method
`void` | `run()` Initialize the window in a new thread.

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

Constructor Detail

### WindowInitThread

    public WindowInitThread(WindowInitInterface window)

  Construct a new WindowInitThread object.

  Parameters:
    `window` - The applet or frame to initialize

Method Detail

### run

    public void run()

  Initialize the window in a new thread.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### postInit

    protected void postInit()

  Search the Container for any components that implement the com.sas.PostInitInterface interface; if found, invoke the postInit method

### checkLocal

    protected void checkLocal()

  Check to see if this class was loaded locally. If so, and the owning window was downloaded over the 'net, display a message

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.